Personal Weapons v4.3

Кастомизация оружия для CS:S

  1. rokfestr

    rokfestr

    Сообщения:
    311
    Симпатии:
    46
    Было бы хорошо под ксго запилить :ab:
     
  2. Папа Гейб

    Папа Гейб

    Сообщения:
    58
    Симпатии:
    17
    Бред, чем тебе в кс го не устраивает !ws ? Лучше чем этот плагин так как не нужно грузить модельки, а используются модельки из игры
     
  3. rokfestr

    rokfestr

    Сообщения:
    311
    Симпатии:
    46
    Как раз таки не бред, есть и другие модели для оружия, хотелось бы их персонально выдавать...
     
  4. Папа Гейб

    Папа Гейб

    Сообщения:
    58
    Симпатии:
    17
    так а что тебе мешает переделать плагин !ws и сделать его с выдачей. Он намного лучше чем данный плагин, например тем что не нужно загружать доп модели
     
  5. R1KO

    R1KO всё тлен Супермодератор

    Сообщения:
    8.209
    Симпатии:
    5.672
    Если вдруг кому-то интересно, то вот репозиторий с кодом, который по немногу приводится в порядок R1KO / Personal-Weapons · GitLab
     
    CAH4E3, unique, kilroy и 2 другим нравится это.
  6. msK

    msK

    Сообщения:
    70
    Симпатии:
    3
    v34 sm 1.9

    Код:
    L 09/03/2018 - 07:49:43: [SM] Exception reported: Configuration "Skins_Weapons" not found
    L 09/03/2018 - 07:49:43: [SM] Blaming: PW_core_4.smx
    L 09/03/2018 - 07:49:43: [SM] Call stack trace:
    L 09/03/2018 - 07:49:43: [SM]   [0] SetFailState
    L 09/03/2018 - 07:49:43: [SM]   [1] Line 14, PW/file6.sp::Func1679324
    L 09/03/2018 - 07:49:43: [SM]   [2] Line 45, C:\Users\BIG\Desktop\Personal Weapons\cstrike\addons\sourcemod\scripting\PW_core_4.sp::OnPluginStart
    L 09/03/2018 - 07:49:43: [SM] Unable to load plugin "PW_core_4.smx": Error detected in plugin startup (see error logs)
    L 09/03/2018 - 07:49:43: [SM] Unable to load plugin "PW_FreeWeapons_cracked.smx": Native "GetIDClient_SkinsWeapons" was not found
    L 09/03/2018 - 07:49:46: Error log file session closed.
    L 09/03/2018 - 07:49:46: SourceMod error session started
    L 09/03/2018 - 07:49:46: Info (map "de_dust2") (file "errors_20180903.log")
    L 09/03/2018 - 07:49:46: [SM] Unable to load plugin "PW_Sequences_cracked.smx": Native "EnableWeapon_SkinsWeapons" was not found
    L 09/03/2018 - 07:49:46: [SM] Unable to load plugin "PW_Bonus.smx": Could not find required plugin "skins_weapons"
     
    Последнее редактирование модератором: 3 сен 2018
  7. R1KO

    R1KO всё тлен Супермодератор

    Сообщения:
    8.209
    Симпатии:
    5.672
    @msK, конфиг не положил
     
  8. msK

    msK

    Сообщения:
    70
    Симпатии:
    3
    Обновишь?
     
    Последнее редактирование модератором: 3 сен 2018
  9. Paranoiiik

    Paranoiiik

    Сообщения:
    442
    Симпатии:
    192
    Там есть конфиг и так.
     
  10. msK

    msK

    Сообщения:
    70
    Симпатии:
    3
    • Некорректное использование тега "Оффтоп"
    Ну так я залил как оно было)
     
    Последнее редактирование: 3 сен 2018
  11. Max Rhine

    Max Rhine

    Сообщения:
    8
    Симпатии:
    0
    Что там с кодом? Когда будет обновление? Все очень ждем обновления.
     
  12. R1KO

    R1KO всё тлен Супермодератор

    Сообщения:
    8.209
    Симпатии:
    5.672
    @Max Rhine, ну когда у меня есть время я комичу правки
     
  13. umbRel1a

    umbRel1a

    Сообщения:
    13
    Симпатии:
    1
    Плагин не запускается. Помогите пожалуйста решить проблему!
     
    LAnOFF нравится это.
  14. Max Rhine

    Max Rhine

    Сообщения:
    8
    Симпатии:
    0
    Если у тебя SM 1.9.0, то плагин не будет работать, нужно переделать. И вообще, ты просишь помочь, но при этом мы не знаем какие ошибки выдаёт плагин, какой SM и т.д. Сделай вывод!
     
  15. Paranoiiik

    Paranoiiik

    Сообщения:
    442
    Симпатии:
    192
    Не ври.
     
  16. abduabuarab

    abduabuarab

    Сообщения:
    34
    Симпатии:
    5
    this version not locked IP and must be work at any server
     

    Вложения:

    • PW-EN.zip
      Размер файла:
      490,3 КБ
      Просмотров:
      16
  17. Max Rhine

    Max Rhine

    Сообщения:
    8
    Симпатии:
    0
    Как грубо... Откуда такая уверенность? Открыть глаза на проблему с 1.9.0?
    При компилировании плагина, очень много варнингов на FindSendPropOffs и GetClientAuthString.
    [​IMG]
    Если заменить все FindSendPropOffs и GetClientAuthString заменить на FindSendPropInfo и GetClientAuthId, как написано в sm compile - будут сыпаться ошибки.
    P.S. Это оригинальная версия PW от Kailo и спорить с тобой, я не собираюсь.
    Оффтоп
    Оффтоп
     
  18. Хан

    Хан Read Only

    Сообщения:
    296
    Симпатии:
    77
    компилируется на sm 1.7.3 норм
     
  19. Max Rhine

    Max Rhine

    Сообщения:
    8
    Симпатии:
    0
    Не вижу смысла ломать голову. На билде 1.9.0.6148 не работает PW, хоть я и скомпилю на 1.6.3 или даже на 1.7.3. Нужна либо переделка либо откат на sm 1.8 и ниже, что очень печально, некоторая часть новых плагинов не будут работать.
    К тому же на sm 1.8 linux есть баги с оружием, оно находится в воздухе. На счёт других sm под linux, не знаю. P.S. tickrate 33
    --- Добавлено позже ---
    Если после обновления, плагин заработает - буду счастлив.
    Оффтоп
     
    Последнее редактирование: 22 сен 2018
  20. Paranoiiik

    Paranoiiik

    Сообщения:
    442
    Симпатии:
    192
    Плагин писался под 1.6.3, но запускается и работает на 1.9.x. Компилируй на более старыx версияx SM.

    Только вот лично по моей просьбе и за мои деньги им плагин был сначала отвязан и мной выложен в общий доступ, а после по его инициативе декомпилирован. Ты уже начал спор, меньше пустословия.


    Ты и родителей собаками назовёшь, когда они соврут?


    Ещё есть подозрение на то, что ты пытаешься запустить плагин в CS:GO. Там он работать вроде как и не будет. В CS:S на любой версии SM работает. Проверено.
     
    CAH4E3 и Саша Шеин нравится это.